@echo off

tasklist /FI "IMAGENAME eq RMS Express.exe" 2>NUL | find /I /N "RMS Express.exe">NUL
if %errorlevel% equ 1 goto start

echo:
echo Please close RMS Express before running this Script! Bitte RMS Express schliessen und Skript neustarten!
echo:
goto end

:start
httpget http://www.qsl.net/dk3cw/rev.aspx Notrufbogen_latestversion.txt

if not exist Notrufbogen_installedversion.txt goto install
fc /L Notrufbogen_latestversion.txt Notrufbogen_installedversion.txt > nul
if %errorlevel% equ 0 goto latest

:install
echo Downloading most current version... Lade Notrufbogen herunter...
httpget http://www.qsl.net/dk3cw/Notrufbogen_latest.zip

echo Making a Backup of the previous version. Pse ack... Sichere alte Version in Notrufbogen_alt. Bitte bestaetigen....
rd /s Notrufbogen_alt
mkdir Notrufbogen_alt
copy Templates Notrufbogen_alt
copy Notrufbogen_installedversion.txt Notrufbogen_alt

echo Extracting new version... Entpacke neue Version...
unzip -o Notrufbogen_latest.zip
copy Notrufbogen_latestversion.txt Notrufbogen_installedversion.txt

echo:
echo Deleting Temp files, pse ack... Loesche Dateien im Temp-Verzeichnis. Bitte bestaetigen...
if not exist Temp mkdir Temp
cd Temp
del *
echo:

echo:
echo Update successful! Aktuelleste Version Installiert!
cd ../
type Notrufbogen_installedversion.txt
echo:
goto end

:latest
echo:
echo Most current version installed already! Aktuellste Version bereits installiert!
type Notrufbogen_installedversion.txt
echo:

echo Overwrite existing installation? Trotzdem nochmals installieren?
set /p reinstall=Existierende Installation ueberschreiben [y/N]?: 
if /I "%reinstall%" == "y" goto install

:end
echo:
echo Starting Global Folders Migration Task...
start Global_Folders_migration.bat /I
echo:
if exist Notrufbogen_latestversion.txt del Notrufbogen_latestversion.txt
pause
/// Notrufbogen_update_ver1.6 by DK3CW ///